<?php

namespace Litecms\Onboardchecklist;

use User;

class Onboardchecklist
{
    /**
     * $checklist object.
     */
    protected $checklist;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Onboardchecklist\Interfaces\ChecklistRepositoryInterface $checklist)
    {
        $this->checklist = $checklist;
    }

    /**
     * Returns count of onboardchecklist.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.checklist.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->checklist->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ChecklistUserCriteria());
        }

        $checklist = $this->checklist->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('onboardchecklist::' . $view, compact('checklist'))->render();
    }
}
