<?php

namespace Litecms\Onboardchecklist\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ChecklistTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Onboardchecklist\Models\Checklist $checklist)
    {
        return [
            'id'                => $checklist->getRouteKey(),
            'key'               => [
                'public'    => $checklist->getPublicKey(),
                'route'     => $checklist->getRouteKey(),
            ], 
            'id'                => $checklist->id,
            'restaurant_id'     => $checklist->restaurant_id,
            'status'            => $checklist->status,
            'checklist'         => $checklist->checklist,
            'slug'              => $checklist->slug,
            'user_id'           => $checklist->user_id,
            'user_type'         => $checklist->user_type,
            'created_at'        => $checklist->created_at,
            'updated_at'        => $checklist->updated_at,
            'deleted_at'        => $checklist->deleted_at,
            'url'               => [
                'public'    => trans_url('onboardchecklist/'.$checklist->getPublicKey()),
                'user'      => guard_url('onboardchecklist/checklist/'.$checklist->getRouteKey()),
            ], 
            'status'            => trans('app.'.$checklist->status),
            'created_at'        => format_date($checklist->created_at),
            'updated_at'        => format_date($checklist->updated_at),
        ];
    }
}